aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ec2.InstanceMetadata

# Documentation

data InstanceMetadataException #

Constructors

MetadataNotFound String |

Instances

Show InstanceMetadataException # |
Methods showsPrec :: Int -> InstanceMetadataException -> ShowS # show :: InstanceMetadataException -> String # showList :: [InstanceMetadataException] -> ShowS #
Exception InstanceMetadataException # |
Methods toException :: InstanceMetadataException -> SomeException # fromException :: SomeException -> Maybe InstanceMetadataException # displayException :: InstanceMetadataException -> String #

getInstanceMetadata :: Manager -> String -> String -> IO ByteString #

getInstanceMetadataListing :: Manager -> String -> IO [String] #

getInstanceMetadataFirst :: Manager -> String -> IO ByteString #

getInstanceMetadataOrFirst :: Manager -> String -> Maybe String -> IO ByteString #